QI(1)

NAME
qi - package manager

SYNOPSIS
qi [OPTION...] [FILE]...

DESCRIPTION
Qi - A practical and user-friendly package manager.

  Operation mode:

-b  Build packages using recipes

-c  Create .tlz package from directory

-d  Delete packages

-i  Install packages

-o  Resolve build order through .order files

-u  Update packages (implies -i, -d with -p)

-x  Extract packages for debugging purposes

  Common options:

-L  Print default directory locations

-N  Don't read the configuration file

-P  <DIR> Package directory for (de)installations;

    only valid for -i, -d, or -u options

-f  Force package upgrade or force to proceed with a recipe

-t  <DIR> Target directory for symbolic links;

    only valid for -i, -d, or -u options

-k  Keep (don't delete) srcdir or destdir Keep (don't delete) package directory this is for -b, -d or -u options

-p  Prune conflicts on package (de)installation

-r  Use the named directory as the root directory for installing, deleting, or upgrading packages. The target directory, package directory will be relative to this specific directory

-v  Be verbose (a 2nd -v gives more)

  Options for 'build' mode (-b):

-O  <DIR> Where the produced packages are written

-W  <DIR> Where archives, patches, and recipes are expected

-Z  <DIR> Where (compressed) sources will be found

-a  Architecture to use [detected]

-j  Parallel jobs for the compiler

-1  Increment release number (release + 1)

-n  Don't create a .tlz package

-S  Selects the option to skip completed recipes

  Other options:

-h  Display this help and exit

-V  Output version information

  Some influential environment variables:

TMPDIR
    Temporary directory for sources

QICFLAGS
    C compiler flags

QICXXFLAGS
    C++ compiler flags

QILDFLAGS
    Linker flags

When FILE is -, read standard input.

COPYRIGHT
Copyright © 2016-2018 Matias Andres Fonzo. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for qi is maintained as a Texinfo manual. If the info and qi programs are properly installed at your site, the command

    info qi

should give you access to the complete manual.